One key's record: what its requests did, and its use per day
GET
/v1/organisations/{id}/agent-keys/{keyId}/activityOperation agents.keyActivity · since 2026-11-10 · beta
Needs a session withreadscopeAnswers200 OK
`record` (audit rows its requests caused) and `usage` per day for 30 days.
Path parameters
- idstring (uuid)required
- The organisation id.
- keyIdstringrequired
- The key.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
GET/v1/organisations/{id}/agent-keys/{keyId}/activity
curl "https://api.rykloud.com/v1/organisations/$ORG_ID/agent-keys/$KEY_ID/activity" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"